Package uk.ac.starlink.topcat.plot2

## Class ZoneFactories

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.ZoneFactories

-     public class ZoneFactories
      extends java.lang.Object

  Utility class containing zone factory implementations.
  Since:
    5 Feb 2016
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ZoneFactory` | `FIXED` | Single-zone factory.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ZoneFactory` | `createIntegerZoneFactory​(boolean autoIncrement)` | Returns a factory that works with integer-based zone ids.
    `static ZoneFactory` | `createSingleZoneFactory​(ZoneId zid0)` | Returns a factory suitable for single-zone use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIXED

          public static final ZoneFactory FIXED

      Single-zone factory.

  - ### Method Detail

    - #### createSingleZoneFactory

          public static ZoneFactory createSingleZoneFactory​(ZoneId zid0)

      Returns a factory suitable for single-zone use.
      Parameters:
        `zid0` - sole zone ID
      Returns:
        fixed zone factory

    - #### createIntegerZoneFactory

          public static ZoneFactory createIntegerZoneFactory​(boolean autoIncrement)

      Returns a factory that works with integer-based zone ids. Optionally, the default value increments for each subsequent call of getItem.
      Parameters:
        `autoIncrement` - true to force increment of default zone id for each specifier in sequence
      Returns:
        factory dispensing integer-based zone ids

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.